Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.validation
Class ValidationRuleRegistry

    java.lang.Object
      com.sun.mdm.index.objects.validation.ValidationRuleRegistry

public class ValidationRuleRegistry
extends java.lang.Object

Method Summary
`ObjectValidator` | `getCustomValidatorByObject(java.lang.String objectName)` Get the Validator for the specified object
`ObjectValidator` | `getCustomValidatorByRule(java.lang.String ruleName)` Get the ObjectValidator for the specified rule
`static ValidationRuleRegistry` | `getInstance()` Get an instance of ValidationRuleRegistry
`ObjectDescriptor` | `getObjectDescriptor(java.lang.String objectName)` Get the ObjectDescriptor for the specified object name
`void` | `putObjectDescriptor(java.lang.String objectName, ObjectDescriptor objDesc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCustomValidatorByObject

    public ObjectValidator getCustomValidatorByObject(java.lang.String objectName)

  Get the Validator for the specified object

  Parameters:
    `objectName` - object name
  Returns:
    an ObjectDescriptor

### getCustomValidatorByRule

    public ObjectValidator getCustomValidatorByRule(java.lang.String ruleName)

  Get the ObjectValidator for the specified rule

  Parameters:
    `ruleName` - rule name
  Returns:
    an ObjectValidator

### getInstance

    public static ValidationRuleRegistry getInstance()

  Get an instance of ValidationRuleRegistry

  Returns:
    an instance ValidationRuleRegistry

### getObjectDescriptor

    public ObjectDescriptor getObjectDescriptor(java.lang.String objectName)

  Get the ObjectDescriptor for the specified object name

  Parameters:
    `objectName` - object name
  Returns:
    an ObjectDescriptor

### putObjectDescriptor

    public void putObjectDescriptor(java.lang.String objectName,
                                    ObjectDescriptor objDesc)

  Parameters:
    `objectName` - object name
    `objDesc` - ObjectDescriptor

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.